Bug 591454 - Review Request: spice-parent - Sonatype Spice Components
Summary: Review Request: spice-parent - Sonatype Spice Components
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-12 09:57 UTC by huwang
Modified: 2010-05-19 19:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-19 19:34:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description huwang 2010-05-12 09:57:03 UTC
Spec URL: http://code.google.com/p/tobepackagemaintaner/downloads/detail?name=spice-parent.spec&can=2&q=#makechanges
SRPM URL: http://code.google.com/p/tobepackagemaintaner/downloads/detail?name=spice-parent-15-1.src.rpm&can=2&q=#makechanges
Description: Spice components and libraries are common components used throughout the Sonatype Forge.

Comment 1 Orcan Ogetbil 2010-05-13 08:27:23 UTC
I'll do the review for this one.

Comment 2 Orcan Ogetbil 2010-05-13 09:14:26 UTC
I made a review. Since this is a quite simple package there is just a few minor things to go over.

* rpmlint says
   spice-parent.src: W: invalid-url Source0: spice-parent-15.tar.gz                                                                                                                       
       We need to specify the sources, especially Source0, with full URL if possible. If there is absolutely no way to get a full URL for them, we indicate this as a comment in the specfile and give the directions to create the source (tar)ball.
       Also typically, we use %{name}-%{version} macros in Source0 (and in URL in your case). This saves us work when we update the package.

   spice-parent.noarch: W: spelling-error Summary(en_US) Sonatype -> Sonatina, Sonata, Resonate
       I think this is fine.
   spice-parent.noarch: W: no-documentation                                                                                                                                               
       So this package source is one .pom file. That's it? No way to get a license file from upstream?
   spice-parent.noarch: W: non-conffile-in-etc /etc/maven/fragments/spice-parent 
       This can be ignored for this package.

! some suggestions (these are not blockers, take them as you wish):
1- In %files, I find it better for legibility to avoid using * if there is only one
   file.
2- Please span the description to 80 columns as much as possible for consistency with other packages.

* Latest version should be packaged. There is a spice-parent-16 over there. By the way, is there no proper webpage for this where we can track the versions?

? Why are we skipping the mvn-jpp part of the maven guidelines?
   http://fedoraproject.org/wiki/Packaging/Java#maven


This is it about the package for now. I see that you need to be sponsored. Typically in Fedora, we ask the packagers to do some more work to show that they are proficient in following the guidelines. This can be done in a couple ways: Preferably, you can do some informal reviews on other people's packages. Or you can post some other package(s) for review. It would be good to try packaging or reviewing some other type of software than single .pom files. This will help sponsors to understand your proficiency.

Comment 3 huwang 2010-05-14 07:37:34 UTC
(In reply to comment #2)
> I made a review. Since this is a quite simple package there is just a few minor
> things to go over.
> 
> * rpmlint says
>    spice-parent.src: W: invalid-url Source0: spice-parent-15.tar.gz             
>        We need to specify the sources, especially Source0, with full URL if
> possible. If there is absolutely no way to get a full URL for them, we indicate
> this as a comment in the specfile and give the directions to create the source
> (tar)ball.
>        Also typically, we use %{name}-%{version} macros in Source0 (and in URL
> in your case). This saves us work when we update the package.
Fixed.
> 
>    spice-parent.noarch: W: spelling-error Summary(en_US) Sonatype -> Sonatina,
> Sonata, Resonate
>        I think this is fine.
>    spice-parent.noarch: W: no-documentation                                     
>        So this package source is one .pom file. That's it? No way to get a
> license file from upstream?
Yes,it is only a pom file. No document available.
>    spice-parent.noarch: W: non-conffile-in-etc
> /etc/maven/fragments/spice-parent 
>        This can be ignored for this package.
> 
> ! some suggestions (these are not blockers, take them as you wish):
> 1- In %files, I find it better for legibility to avoid using * if there is only
> one
>    file.
> 2- Please span the description to 80 columns as much as possible for
> consistency with other packages.
> 
> * Latest version should be packaged. There is a spice-parent-16 over there. By
> the way, is there no proper webpage for this where we can track the versions?
> 
As plexus-build-api needs this version and plexus-cipher can also build with this version. 
> ? Why are we skipping the mvn-jpp part of the maven guidelines?
>    http://fedoraproject.org/wiki/Packaging/Java#maven
It's only a pom file, I think nothing to do for the pom in %build section.
> 
> This is it about the package for now. I see that you need to be sponsored.
> Typically in Fedora, we ask the packagers to do some more work to show that
> they are proficient in following the guidelines. This can be done in a couple
> ways: Preferably, you can do some informal reviews on other people's packages.
> Or you can post some other package(s) for review. It would be good to try
> packaging or reviewing some other type of software than single .pom files. This
> will help sponsors to understand your proficiency.    
I created another package's request. :)

Comment 4 Alexander Kurtakov 2010-05-14 08:27:05 UTC
Just for reference:
https://bugzilla.redhat.com/show_bug.cgi?id=591857

Oget, you may want to take it too?

Comment 5 Orcan Ogetbil 2010-05-15 07:20:32 UTC
@huwang: Thanks, can you upload the new fixed SPEC and SRPM files somewhere, so that we can take a look?

@akurtakov: Sure, but it might take a couple days.

Comment 7 Orcan Ogetbil 2010-05-17 10:38:13 UTC
Thanks,

However, during reviews (and also after the reviews) when we make changes in the package, we bump the Release tag and list our changes in the %changelog with the latest change date. Please include these changes.

Comment 8 huwang 2010-05-18 09:52:08 UTC
(In reply to comment #7)
> Thanks,
> 
> However, during reviews (and also after the reviews) when we make changes in
> the package, we bump the Release tag and list our changes in the %changelog
> with the latest change date. Please include these changes.    

Fixed.
Spec URL:
http://code.google.com/p/tobepackagemaintaner/downloads/detail?name=spice-parent.spec&can=2&q=#makechanges
SRPM URL:
http://code.google.com/p/tobepackagemaintaner/downloads/detail?name=spice-parent-15-2.src.rpm&can=2&q=#makechanges

Comment 9 Orcan Ogetbil 2010-05-18 10:57:36 UTC
Great, I see that you just got sponsored, so my job is done here. 

Welcome to Fedora. Please don't forget to do package reviews!

-----------------------------------------------
This package (spice-parent) is APPROVED by oget
-----------------------------------------------

Comment 10 huwang 2010-05-18 15:04:10 UTC
New Package CVS Request
=======================
Package Name: spice-parent
Short Description: Sonatype Spice Components
Owners: huwang
Branches: 
InitialCC:

Comment 11 Dennis Gilmore 2010-05-18 18:33:00 UTC
CVS Done

Comment 12 Alexander Kurtakov 2010-05-19 19:34:11 UTC
Koji build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=174105


Note You need to log in before you can comment on or make changes to this bug.